Subject: bug#2614: 20.0.91; coredump if cannot find stuff on startup

From: Kenichi Handa <[email-masked]>
Date: Tue, 24 Mar 2009 11:06:28 +0900

In article <[email-masked]>, "Marshall, Simon" <[email-masked]> writes:

> I have built emacs on one Solaris machine under my home directory
> and attempted
> to run it on another.  It dies like this:
> 
> Warning: arch-independent data dir
> (/usr/local/share/emacs/23.0.91/etc/) does
> not exist.
> Error: charsets directory
> (/usr/local/share/emacs/23.0.91/etc/charsets) does
> not exist.
> Emacs will not function correctly without the character map files.
> Please check your installation!
> Fatal error (11)Segmentation fault (core dumped)
> 
> I suspect the warning are a bit of a red-herring because they do not
> existing
> on the build machine either. 

> > They should be on the build machine, they are in the emacs source
> tree,
> > in emacs/etc/charsets.

> What I meant is that they are not on the build machine _in the
> directories_ that Emacs says it expects to find them.  (As I implied, I
> do not install pretests, I run them from where I build them.)  Since
> Emacs does not crash when run on the build machine, I figure that the
> warnings are misleading.

I built the pretest 23.0.91 under my home directory on
machine A, and ran it on machibe B which mounts the same
home direcotory, but Emacs starts up normally.  The value of
the variable data-directory is
"/home/handa/emacs-23.0.91/etc/".

Next, I moved etc/charsets to etc/charsets.tmp and ran Emacs
on machine A and B.  In both cases, this message was shown.

Error: charsets directory (/home/handa/emacs-23.0.91/etc/charsets) does not exist.
Emacs will not function correctly without the character map files.
Please check your installation!

So, the shown directory is the correct place.

> At the very least, Emacs should not coredump.  Emacs 22.3 doesn't
> coredump.

I fixed it.  Now even if Emacs can't find etc/charsets,
Emacs can be used at least for handling ASCII text.

---
Kenichi Handa
[email-masked]